Inhalte

# BASIS

Wandelt eine positive ganze Zahl in einen Text aus dem Zahlensystem der angegebenen Basis um. Dabei werden die Ziffern 0-9 und die Buchstaben A-Z verwendet.

#### Syntax

BASIS(Zahl;Zahlenbasis[;Mindestlänge])

Zahl ist die positive ganze Zahl, die umgewandelt werden soll.

Zahlenbasis gibt die Basis des Zahlensystems an. Es kann jede positive ganze Zahl zwischen 2 und 36 sein.

Mindestlänge (optional) bestimmt die Mindestlänge der erstellten Zeichenfolge. Wenn der Text kürzer als die angegebene Mindestlänge ist, werden links neben der Zeichenfolge Nullen hinzugefügt.

#### Beispiel

=BASIS(17;10;4) ergibt 0017 im Dezimalsystem.

=BASIS(17;2) ergibt 10001 im Binärsystem.

=BASIS(255;16;4) ergibt 00FF im Hexadezimalsystem.

Verwandte Themen

Wiki-Seite zu BASIS.

DEZIMAL

Textfunktionen